> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8a08bda2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ClickPipe settings

> **This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> Returns the advanced settings for the specified ClickPipe.



## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings:
    get:
      tags:
        - ClickPipes
      summary: Get ClickPipe settings
      description: >-
        **This endpoint is in beta.** API contract is stable, and no breaking
        changes are expected in the future. <br /><br /> Returns the advanced
        settings for the specified ClickPipe.
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the service.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the service that owns the ClickPipe.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: clickPipeId
          description: ID of the ClickPipe to get settings for.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/ClickPipeSettingsGetResponse'
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
components:
  schemas:
    ClickPipeSettingsGetResponse:
      properties:
        streaming_max_insert_wait_ms:
          description: >-
            Streaming max insert wait time. Configures the max wait period
            before inserting data into the ClickHouse.
          nullable: true
          type: integer
          minimum: 500
          maximum: 60000
          example: 5000
        object_storage_concurrency:
          description: >-
            Object storage concurrency. Number of concurrent file processing
            threads
          nullable: true
          type: integer
          minimum: 1
          maximum: 35
          example: 1
        object_storage_polling_interval_ms:
          description: >-
            Object storage polling interval. Configures the refresh interval for
            querying continuous ingest for new object storage data
          nullable: true
          type: integer
          minimum: 100
          maximum: 3600000
          example: 30000
        object_storage_max_insert_bytes:
          description: >-
            Max insert bytes. Number of bytes to process in a single insert
            batch
          nullable: true
          type: integer
          minimum: 10485760
          maximum: 53687091200
          example: 10737418240
        object_storage_max_file_count:
          description: >-
            Max file count. Maximum number of files to process in a single
            insert batch
          nullable: true
          type: integer
          minimum: 1
          maximum: 10000
          example: 100
        clickhouse_max_threads:
          description: >-
            Max threads. Maximum number of concurrent threads for file
            processing
          nullable: true
          type: integer
          minimum: 0
          maximum: 64
          example: 8
        clickhouse_max_insert_threads:
          description: Max insert threads. Maximum number of concurrent insert threads
          nullable: true
          type: integer
          minimum: 0
          maximum: 16
          example: 1
        clickhouse_min_insert_block_size_bytes:
          description: >-
            Min insert block size bytes. Minimum size of data block for insert
            (in bytes)
          nullable: true
          type: integer
          minimum: 0
          maximum: 10737418240
          example: 1073741824
        clickhouse_max_download_threads:
          description: Max download threads. Maximum number of concurrent download threads
          nullable: true
          type: integer
          minimum: 0
          maximum: 32
          example: 4
        clickhouse_parallel_distributed_insert_select:
          description: >-
            Parallel distributed insert select. Parallel distributed insert
            select setting
          nullable: true
          type: integer
          minimum: 0
          maximum: 2
          example: 2
        object_storage_use_cluster_function:
          description: >-
            use cluster function. Whether to use ClickHouse cluster function for
            distributed processing
          nullable: true
          type: boolean
          example: true
        clickhouse_parallel_view_processing:
          description: >-
            parallel view processing. Whether to enable pushing to attached
            views concurrently instead of sequentially
          nullable: true
          type: boolean
          example: false
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````